/**
 * 选项
 */
import template from "./SelectOption.html";
angular.module("esNgAntd").directive("antdSelectOption", function () {
    return {
        controllerAs: "antdSelectOption",
        restrict: "E",
        transclude: true,
        replace: true,
        scope: {
            value: "@",
        },
        template: template,
        controller: function ($scope, $element, $attrs) {
            this.getContext = function () {
                return $scope;
            };

            $scope.state = {
                label: null,
            };
        },
        require: ["?^antdSelect"],
        link: function ($scope, $element, $attrs, $controllers, $transclude) {
            let [antdSelect] = $controllers;
            $scope.antdSelect = antdSelect.getContext();
            $scope.antdSelect.addOption({
                value: $scope.value,
                label: null,
                element: $element,
            });
        },
    };
});
