import template from "./Row.html";
import style from "antd/lib/grid/style/index.css";

class Row {

    useModules = ["esNgAntd"];

    template = template;

    props = {
        gutter: String,
    };

    state = {
        gutterHalf: null,
    };

    constructor() {
        esNgAntd.createStyle("ant-grid", style);
        $element[0].removeAttribute("ng-style");
        $element[0].removeAttribute("ng-transclude");
        if (this.props.gutter) {
            this.state.gutterHalf = parseInt(this.props.gutter) / 2;
        }
    }
}
