import template from "./InputSearch.html";
import style from "antd/lib/input/style/index.css";
angular
    .module("esNgAntd")
    .directive("antdInputSearch", function ($compile, esNgAntd) {
        return {
            controllerAs: "antdInputSearch",
            restrict: "E",
            transclude: true,
            replace: true,
            scope: {
                value: "@",
                placeholder: "@",
                onSearch: "&",
            },
            template: template,
            controller: function ($scope, $element, $attrs) {
                this.getContext = function () {
                    return $scope;
                };

                $scope.state = {
                    value: null,
                };

                $scope.handleChange = function (event) {
                    $scope.state.value = event.target.value;
                };
            },
            link: function (
                $scope,
                $element,
                $attrs,
                $controllers,
                $transclude
            ) {
                esNgAntd.createStyle("ant-input", style);
            },
        };
    });
