import template from "./Card.html";
import style from "antd/lib/card/style/index.css";

class Card {
    props = {
        title: String,
        extra: String,
        bordered: Boolean,
    };

    state = {
        extra: this.props.extra,
    };

    useModules = ["esNgAntd"];

    template = template;

    constructor() {
        $element[0].removeAttribute("title");
        $element[0].removeAttribute("extra");
        $element[0].removeAttribute("ng-class");
        esNgAntd.createStyle("ant-card", style);
    }
}
