import template from "./CheckableTag.html";
import style from "antd/lib/tag/style/index.css";

class CheckableTag {

    useModules = ["esNgAntd"];

    template = template;

    props = {
        checked: Boolean,
        onChange: Function,
    }

    handleClick() {
        this.props.onChange({
            checked: !(this.props.checked==="true")
        })
    }

    constructor() {
        esNgAntd.createStyle("ant-tag", style);
    }
}