import template from "./Empty.html";
import style from "antd/lib/empty/style/index.css";

class Empty {
    props = {
        image: String,
    };

    state = {
        image: this.props.image || "presented_image_default",
    };

    useModules = ["esNgAntd"];

    template = template;

    constructor() {
        esNgAntd.createStyle("ant-empty", style);
    }
}

export default {
    PRESENTED_IMAGE_DEFAULT: "presented_image_default",
    PRESENTED_IMAGE_SIMPLE: "presented_image_simple",
};
