import template from "./InputSearch.html";
import style from "antd/lib/input/style/index.css";

class InputSearch {

    useModules = ["$compile", "esNgAntd"];

    props = {
        value: String,
        placeholder: String,
        onSearch: Function
    };

    state = {
        value: null,
    }

    template = template;

    handleChange(event) {
        this.state.value = event.target.value;
    }

    constructor() {
        esNgAntd.createStyle("ant-input", style);
    }
}
