const path = require("path");

module.exports = {
    // mode: "production",
    mode: "development",
    entry: "./build/index.js",
    output: {
        // bpms
        // path: "/Users/shann/Project/essa/bpms/bpms-webapp/src/main/webapp/lib/ng-antd",
        // boss
        // path: "/Users/shann/Project/essa/boss/trunk/vendor-lib/ng-antd",
        // mvo
        // path: "/Users/shann/Project/essa/mvo/mvo-webapp/public/browser-vendor/ng-antd",
        // local
        path: path.resolve(__dirname, "dist"),
        filename: "ng-antd.js",
    },
    module: {
        rules: [
            {
                test: /\.html$/i,
                loader: "html-loader",
            },
            {
                test: /\.css$/i,
                use: ["css-loader"],
            },
        ],
    },
};
